libxr — developer's documentation

- Main Page
- Related Pages
- Data Structures
- Files

- File List
- Globals

Typedefs | Enumerations | Functions
xr-call.h File Reference

XML-RPC Call Handling API. More...

`#include "xr-value.h"`

Go to the source code of this file.

## Typedefs

typedef struct _xr_call | xr_call
| Opaque data structrure for storing intermediate representation of XML-RPC call. More...

## Enumerations

enum | xr_call_transport { XR_CALL_XML_RPC = 0, XR_CALL_TRANSPORT_COUNT }
| Transport type. More...

## Functions

G_BEGIN_DECLS xr_call * | xr_call_new (const char *method)
| Create new call obejct. More...
void | xr_call_free (xr_call *call)
| Free call object. More...
void | xr_call_set_transport (xr_call *call, xr_call_transport transport)
| Set transport type (default is XR_CALL_XML_RPC). More...
const char * | xr_call_get_method (xr_call *call)
| Get method name (second part if in Servlet.Method format). More...
const char * | xr_call_get_method_full (xr_call *call)
| Get method name (as passed in XML-RPC). More...
char * | xr_call_get_servlet_name (xr_call *call, const char *fallback)
| Get servlet name (as passed in XML-RPC). More...
void | xr_call_add_param (xr_call *call, xr_value *val)
| Add parameter to the call obejct. More...
xr_value * | xr_call_get_param (xr_call *call, unsigned int pos)
| Get parameter from specified position (counts from 0). More...
void | xr_call_set_retval (xr_call *call, xr_value *val)
| Set return value of the XML-RPC call. More...
xr_value * | xr_call_get_retval (xr_call *call)
| Get return value of the XML-RPC call. More...
void | xr_call_set_error (xr_call *call, int code, const char *msg,...)
| Set retval to be stadard XML-RPC error structure. More...
gboolean | xr_call_error_set (xr_call *call)
| Check whether the XML-RPC error structure is set. More...
int | xr_call_get_error_code (xr_call *call)
| Get error code that is set on the call object. More...
const char * | xr_call_get_error_message (xr_call *call)
| Get error message that is set on the call object. More...
void | xr_call_serialize_request (xr_call *call, char **buf, int *len)
| Serialize call object into XML-RPC request. More...
void | xr_call_serialize_response (xr_call *call, char **buf, int *len)
| Serialize call object into XML-RPC response. More...
gboolean | xr_call_unserialize_request (xr_call *call, const char *buf, int len)
| Unserialize XML-RPC request into call object. More...
gboolean | xr_call_unserialize_response (xr_call *call, const char *buf, int len)
| Unserialize XML-RPC response into call object. More...
void | xr_call_free_buffer (xr_call *call, char *buf)
| Free buffer allocated by serialize functions. More...
char * | xr_call_dump_string (xr_call *call, int indent)
| Debugging function that dumps call object to the string. More...
void | xr_call_dump (xr_call *call, int indent)
| Debugging function that prints call object using g_print(). More...

## Detailed Description

XML-RPC Call Handling API.

This code is used to prepare XML-RPC calls. It converts XML string representation of XML-RPC requests and responses into intermediate representation described in xr-value.h that is further used for conversion into native data types.

Documentation for libxr, Mon Jan 6 2014 07:32:37.